﻿using System;
using System.ComponentModel;
using System.IO;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;

namespace iPhone
{
	public partial class iPhoneButton
	{
		/// <summary>
		/// LabelContent dependency property
		/// </summary>
		public static readonly DependencyProperty LabelContentProperty =
							   DependencyProperty.Register("LabelContent",
							   typeof(object), typeof(iPhoneButton), new
							   PropertyMetadata("Text"));

		[Category("Common Properties")]
		public object LabelContent
		{
			get { return (object)GetValue(LabelContentProperty); }
			set { SetValue(LabelContentProperty, value); }
		}

		/// <summary>
		/// ImageSource dependency property
		/// </summary>
		private static DependencyProperty ImageSourceProperty =
					   DependencyProperty.Register("ImageSource",
					   typeof(ImageSource), typeof(iPhoneButton));

		[Category("Common Properties")]
		public ImageSource ImageSource
		{
			get { return (ImageSource)GetValue(ImageSourceProperty); }
			set { SetValue(ImageSourceProperty, value); }
		}


		public iPhoneButton()
		{
			this.InitializeComponent();

			// Insert code required on object creation below this point.
		}
	}
}