﻿using System;
using System.IO;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;
using System.Windows.Threading;

namespace iPhone
{
	public partial class iPhoneWindow
	{
		protected DispatcherTimer Timer;

		public iPhoneWindow()
		{
			this.InitializeComponent();
			
			// Insert code required on object creation below this point.
		}

		private void Window_MouseRightButtonDown(object sender, System.Windows.Input.MouseButtonEventArgs e)
		{
			this.Close();
		}

		private void Window_MouseLeftButtonDown(object sender, System.Windows.Input.MouseButtonEventArgs e)
		{
			this.DragMove();
		}

		/// <summary>
		/// Window.Loaded event handler
		/// </summary>
		/// <param name="sender"></param>
		private void Window_Loaded(object sender, RoutedEventArgs e)
		{
			this.SetClock();
			this.Timer = new DispatcherTimer();
			this.Timer.Interval = new TimeSpan(0, 1, 0);
			this.Timer.Tick += new EventHandler(Timer_Tick);
			this.Timer.Start();
		}

		/// <summary>
		/// Timer.Tick event handler
		/// </summary>
		/// <param name="sender"></param>
		void Timer_Tick(object sender, EventArgs e)
		{
			this.SetClock();
		}

		/// <summary>
		/// Sets the time on the iPhone clock
		/// </summary>
		public void SetClock()
		{
			this.lblTime.Content = DateTime.Now.ToShortTimeString();
		}

	}
}